TUNE2FS(8)

NAME
tune2fs - adjust tunable filesystem parameters on second extended filesystems

SYNOPSIS
tune2fs [ -l ] [ -c max-mount-counts ] [ -e errors-behavior ] [ -i interval-between-checks ] [ -m reserved-blocks-percentage ] [ -r reserved-blocks-count ] [ -s sparse-super-flag ] [ -u user ] [ -g group ] [ -C mount-count ] [ -L volume-name ] [ -M last-mounted-directory ] [ -U UUID ] device

DESCRIPTION
tune2fs adjusts tunable filesystem parameters on a Linux second extended filesystem.

Never use tune2fs to change parameters of a read/write mounted filesystem!

OPTIONS

-c max-mount-counts
    adjust the maximal mounts count between two filesystem checks.

-e error-behavior
    change the behavior of the kernel code when errors are detected. error-behavior can be one of the following:
        continue    Continue normal execution.
        remount-ro    Remount the filesystem read-only.
        panic    Cause a kernel panic.

-g group
    set the user group which can benefit from the reserved blocks.
    group can be a numerical gid or a group name.

-i interval-between-checks[d|m|w]
    adjust the maximal time between two filesystem checks. No postfix or `d' result in days, `m' in months, and `w' in weeks. A value of zero will disable the timedependent checking.

-l  list the contents of the filesystem superblock.

-m reserved-blocks-percentage
    adjust the reserved blocks percentage on the given device.

-r reserved-blocks-count
    adjust the reserved blocks count on the given device.

-s sparse_super_flag
    set or reset the sparse_superblock flag. The sparse_superblock feature saves space on really big filesystems. Warning: The Linux 2.0 kernel does not properly support this feature. Neither do all Linux 2.1 kernels; please don't use this unless you know what you're doing!

-u user
    set the user who can benefit from the reserved blocks. user can be a numerical uid or a user name.

    -C mount-count set the number of times the filesystem has been mounted.

-L volume-label
    set the volume label of the filesystem. Ext2 filesystem labels can be at most 16 characters long; if volume-label is longer than 16 characters, tune2fs will truncate it and print a warning message.

-M last-mounted-directory
    set the last-mounted directory for the filesystem.

-U UUID
    set the UUID of the filesystem. A sample UUID looks like this: "c1b9d5a2-f162-11cf-9ece-0020afc76f16". The uuid may also be "null", which will set the filesystem UUID to the null UUID. The uuid may also be "random", which will generate a new random UUID for the filesystem.

BUGS
We haven't found any bugs yet. Perhaps there are bugs but it's unlikely.

WARNING
Use this utility at your own risk. You're modifying a filesystem!

AUTHOR
tune2fs was written by Remy Card <card@masi.ibp.fr>, the developer and maintainer of the ext2 fs.
tune2fs uses the ext2fs library written by Theodore Ts'o <tytso@mit.edu>.
This manual page was written by Christian Kuhtz <chk@data-hh.Hanse.DE>.
Timedependent checking was added by Uwe Ohse <uwe@tirka.gun.de>.

AVAILABILITY
tune2fs is part of the e2fsprogs package and is available for anonymous ftp from tsx-11.mit.edu in /pub/linux/packages/ext2fs.

SEE ALSO
dumpe2fs(8), e2fsck(8), mke2fs(8)